Bug 603954 - gnome-keyring problems
Summary: gnome-keyring problems
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-15 00:22 UTC by Matthias Fulz
Modified: 2010-09-04 04:59 UTC (History)
6 users (show)

Fixed In Version: virt-manager-0.8.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-25 20:45:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for usage of users default keyring (1.23 KB, patch)
2010-06-15 00:22 UTC, Matthias Fulz
no flags Details | Diff

Description Matthias Fulz 2010-06-15 00:22:42 UTC
Created attachment 424002 [details]
patch for usage of users default keyring

Description of problem:


Version-Release number of selected component (if applicable):

0.8.4

How reproducible:


Steps to Reproduce:
1.set any keyring as default under gnome which is NOT named "default"
a.e. keyring "loging" is set as default

2.Start virt-manager go to any VM and tick the "save this password to your keyring"

  
Actual results:

virt-manager will create a keyring which is named "default" and use the users default keyring. a.e. "login"

Expected results:

virt-manager should use the newly created keyring which is named "default", perhaps it should, if this is the wished action, don't create a keyring named "default" instead create a keyring "virt-manager" or similar.

Or it should only use the users default keyring and only create a new one, when no default keyring is available.

Additional info:

I'll allready created a patch which uses suggestion nr. 2.

Comment 1 Cole Robinson 2010-06-15 14:58:47 UTC
Thanks, applied a variant of your patch upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/416206ef3db0

Comment 2 Matthias Fulz 2010-06-15 15:24:17 UTC
I tested the patch and its not working.

Here is the problem:

New Code:

try:
    self.keyring = gnomekeyring.get_default_keyring_sync()
    if self.keyring == None:
       logging.warning("Failed to create default keyring")
       self.keyring == 'default'
       try:
          gnomekeyring.create_sync(self.keyring, None)
       exept gnomekeyring.AlreadyExistsError:
          pass


If no default keyring is available it creates a new keyring named "default", this is ok so far.

But the new created keyring is never used by the above code and it isn't set as default keyring.

Even if it will be set, after creation as default keyring, by a line like:

gnomekeyring.set_default_keyring_sync("default")
or
gnomekeyring.set_default_keyring_sync(self.keyring)

It is not opened in the same run.


With the above patch (if I don't have any keyrings) I need to set the created keyring "default" as default keyring manual, instead virt-manager can't use it.

Comment 3 Matthias Fulz 2010-06-15 15:53:35 UTC
Im very sorry, had a type in applying your patch...

It's all working fine now ;)

Comment 4 Cole Robinson 2010-06-15 16:01:39 UTC
Thanks for testing!

Comment 5 Bug Zapper 2010-07-30 12:07:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Cole Robinson 2010-08-25 20:45:36 UTC
This is fixed in rawhide now, and queued for F14 with virt-manager 0.8.5

Comment 7 Fedora Update System 2010-08-25 20:59:14 UTC
virt-manager-0.8.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13

Comment 8 Fedora Update System 2010-09-04 04:59:12 UTC
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.